package com.kmall.api.dto;

import com.kmall.api.entity.UserVo;

import java.util.Map;

/**
 * @author huangyq
 * @version 1.0
 * 2019-05-22 16:12
 */
public class CheckOutDto {
    private UserVo loginUser;
    private String checkCart;
    private Long tickDiscId00;
    private Long tickDiscId02;
    private Long tickDiscId10;
    private Long tickDiscId11;
    private Long storeId;
    private Map<String, Object> cartData;

    private Integer campId00;
    private Integer campId02;
    private Integer campId10;
    private Integer campId11;
    private Integer isLoadStatus;
    private Long goodsId;
    private Integer number;

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public Integer getIsLoadStatus() {
        return isLoadStatus;
    }

    public void setIsLoadStatus(Integer isLoadStatus) {
        this.isLoadStatus = isLoadStatus;
    }

    public Integer getCampId00() {
        return campId00;
    }

    public void setCampId00(Integer campId00) {
        this.campId00 = campId00;
    }

    public Integer getCampId02() {
        return campId02;
    }

    public void setCampId02(Integer campId02) {
        this.campId02 = campId02;
    }

    public Integer getCampId10() {
        return campId10;
    }

    public void setCampId10(Integer campId10) {
        this.campId10 = campId10;
    }

    public Integer getCampId11() {
        return campId11;
    }

    public void setCampId11(Integer campId11) {
        this.campId11 = campId11;
    }

    public Map<String, Object> getCartData() {
        return cartData;
    }

    public void setCartData(Map<String, Object> cartData) {
        this.cartData = cartData;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public UserVo getLoginUser() {
        return loginUser;
    }

    public void setLoginUser(UserVo loginUser) {
        this.loginUser = loginUser;
    }

    public String getCheckCart() {
        return checkCart;
    }

    public void setCheckCart(String checkCart) {
        this.checkCart = checkCart;
    }

    public Long getTickDiscId00() {
        return tickDiscId00;
    }

    public void setTickDiscId00(Long tickDiscId00) {
        this.tickDiscId00 = tickDiscId00;
    }

    public Long getTickDiscId02() {
        return tickDiscId02;
    }

    public void setTickDiscId02(Long tickDiscId02) {
        this.tickDiscId02 = tickDiscId02;
    }

    public Long getTickDiscId10() {
        return tickDiscId10;
    }

    public void setTickDiscId10(Long tickDiscId10) {
        this.tickDiscId10 = tickDiscId10;
    }

    public Long getTickDiscId11() {
        return tickDiscId11;
    }

    public void setTickDiscId11(Long tickDiscId11) {
        this.tickDiscId11 = tickDiscId11;
    }
}
